roar_stream_exec(3)

NAME
roar_stream_exec - Set a stream as master stream of a client

SYNOPSIS

#include <roaraudio.h>

int roar_stream_exec(struct roar_connection * con, struct roar_stream * s);

DESCRIPTION
This sets a stream to be the master stream of a client. A master stream is a stream send via the client's control channel. If a master stream is closed the client and all it's streams are closed. Setting a master stream can not be undone nor can any control commands be send anymore. This is used mainly for opening a connection for just playback without need to change things later like roar_simple_play(3) does it.

PARAMETERS

con The connection to the server.

s   The stream to be set as master stream.

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roar_simple_play(3), libroar(7), RoarAudio(7).